- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# VertexPoolRecords.cpp File Reference

`#include "flt.h"`
`#include "Registry.h"`
`#include "VertexPoolRecords.h"`

Include dependency graph for VertexPoolRecords.cpp:

## Functions
std::ostream & | operator<< (std::ostream &output, const VertexPaletteRecord &rec)
std::ostream & | operator<< (std::ostream &output, const VertexRecord &rec)
std::ostream & | operator<< (std::ostream &output, const NormalVertexRecord &rec)
std::ostream & | operator<< (std::ostream &output, const TextureVertexRecord &rec)
std::ostream & | operator<< (std::ostream &output, const NormalTextureVertexRecord &rec)
## Variables
RegisterRecordProxy< VertexPaletteRecord > | g_VertexPaletteProxy
RegisterRecordProxy< VertexRecord > | g_VertexProxy
RegisterRecordProxy< NormalVertexRecord > | g_NormalVertexProxy
RegisterRecordProxy< TextureVertexRecord > | g_TextureVertexProxy
RegisterRecordProxy< NormalTextureVertexRecord > | g_NormalTextureVertexProxy

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | output,
|  | const NormalTextureVertexRecord & | rec
| ) |

std::ostream& operator<< | ( | std::ostream & | output,
|  | const TextureVertexRecord & | rec
| ) |

std::ostream& operator<< | ( | std::ostream & | output,
|  | const NormalVertexRecord & | rec
| ) |

std::ostream& operator<< | ( | std::ostream & | output,
|  | const VertexRecord & | rec
| ) |

std::ostream& operator<< | ( | std::ostream & | output,
|  | const VertexPaletteRecord & | rec
| ) |

## Variable Documentation

RegisterRecordProxy<NormalTextureVertexRecord> g_NormalTextureVertexProxy

RegisterRecordProxy<NormalVertexRecord> g_NormalVertexProxy

RegisterRecordProxy<TextureVertexRecord> g_TextureVertexProxy

RegisterRecordProxy<VertexPaletteRecord> g_VertexPaletteProxy

RegisterRecordProxy<VertexRecord> g_VertexProxy